Debian error LC_ALL

En Debian en su versión 8 se ha notado un persistente error que comúnmente se indica como:

    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_US.utf8"

are supported and installed on your system.

Este ejemplo se produce cuando se instalan paquetes o se hace referencia a el idioma de nuestro sistema. Para resolverlo debemos realizar lo siguiente:

# aptitude install multipath-tools

Una vez que hemos instalado, debemos ejecutar también en consola, lo siguiente:

# locale-gen es_CL.UTF-8

Después debemos ejecutar en el terminal:

# localedef -i es_CL -f UTF-8 es_CL.UTF-8

Agregar a cada .profile de usuarios lo siguiente:

export LANGUAGE=es_CL.UTF-8
export LANG=es_CL.UTF-8
export LC_ALL=es_CL.UTF-8

Una vez editados todos los .profile, tanto de los usuarios del sistema como de la cuenta de root, debemos ejecutar en terminal:

# locale-gen es_CL.UTF-8
# dpkg-reconfigure locales

El comando dpkg-reconfigure habre una ventana de dialogo que permite verificar que locales tenemos seleccionados en nuestra máquina, una vez terminado y verificado le damos <Aceptar> para terminar y esperamos que termine el proceso.

Después comprobamos cargando alguna aplicación y verificamos que el error de LC_ALL no se vuelve a repetir.

informatica/debian/debian_lcall.txt · Última modificación: 2020/03/23 22:24 (editor externo)
Recent changes RSS feed Creative Commons License Donate Minima Template by Wikidesign Driven by DokuWiki